<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:php="http://php.net/xsl"
                              xmlns:xh="http://www.w3.org/1999/xhtml"
                              xmlns="http://www.w3.org/1999/xhtml"
                              xmlns:nt="http://www.arielworks.net/works/codeyard/himmel/xnm"
                              xmlns:nts="http://www.arielworks.net/works/codeyard/himmel/xnm/settings"
                              xmlns:nidx="http://www.arielworks.net/works/codeyard/himmel/xnm/index"
                              xmlns:sdf="http://www.arielworks.net/works/codeyard/sdf"
                              xmlns:hml="http://www.arielworks.net/works/codeyard/himmel"
                              xmlns:s3="http://www.arielworks.net/works/codeyard/sdf/s3"
                              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                              xmlns:dc="http://purl.org/dc/elements/1.1/"
                              xmlns:dcterms="http://purl.org/dc/terms/">

<xsl:include href="IndexToSdfUtil.xsl"/>


<xsl:template match="/nidx:index">
    <xsl:apply-templates select="./nidx:note[@year = $nidx:year and @month = $nidx:month and @day = $nidx:day and @hour = $nidx:hour and @minute = $nidx:minute and @second = $nidx:second]"/>
</xsl:template>

<xsl:template match="nidx:note">
    <xsl:variable name="nidx:current_note" select="php:function('Xnm_DataManager::document', string(./@internal_id))"/>
    <sdf:document xml:lang="ja">
        <sdf:meta>
            <dc:title>
                <xsl:value-of select="$nts:settings/nts:value[@name = 'siteName']"/>
                <xsl:text>::</xsl:text>
                <xsl:value-of select="$nidx:year"/>
                <xsl:text>-</xsl:text>
                <xsl:value-of select="$nidx:month"/>
                <xsl:text>-</xsl:text>
                <xsl:value-of select="$nidx:day"/>
                <xsl:text>::</xsl:text>
                <xsl:copy-of select="./dc:title/node()"/>
            </dc:title>
            <xsl:copy-of select="$nidx:current_note/nt:note/*[not(local-name() = 'body' and namespace-uri() = 'http://www.arielworks.net/works/codeyard/himmel/xnm') and
                                                              not(local-name() = 'title' and namespace-uri() = 'http://purl.org/dc/elements/1.1/')]"/>
            <link rel="up" href="../{@day}" title="{$nts:settings/nts:value[@name = 'siteName']}::{@year}-{@month}-{@day}"/>

            <xsl:variable name="next_page" select="following-sibling::nidx:note[1]"/>
            <xsl:if test="$next_page">
                <link rel="next" href="../../../{$next_page/@year}/{$next_page/@month}/{$next_page/@day}/{$next_page/@hour}{$next_page/@minute}{$next_page/@second}" title="{$next_page/dc:title}"/>
            </xsl:if>
            <xsl:variable name="prev_page" select="preceding-sibling::nidx:note[1]"/>
            <xsl:if test="$prev_page">
                <link rel="prev" href="../../../{$prev_page/@year}/{$prev_page/@month}/{$prev_page/@day}/{$prev_page/@hour}{$prev_page/@minute}{$prev_page/@second}" title="{$prev_page/dc:title}"/>
            </xsl:if>
        </sdf:meta>
        <sdf:body>
            <xsl:copy-of select="$nidx:current_note/nt:note/nt:body/node()"/>
        </sdf:body>
    </sdf:document>
</xsl:template>

</xsl:stylesheet>